# CSST-COMMOM-CRMASK

detect cosmic rays and mask them 

# 软件依赖

依赖的python包numpy, scipy, matplotlib, astropy, ccdproc, pytorch, deepCR

Ubuntu 20.04系统下安装方法

sudo apt install python3-numpy python3-scipy python3-matplotlib python3-astropy python3-ccdproc

python3 -m pip install pytorch deepCR

# 使用方法

下载crmask.py，crmask.ini这两个文件。

./crmask.py your_file.fits your_model

其中your_file.fits是输入fits文件，your_model是扣除宇宙线的方法，可以是deepCR或者lacosmic。

如果需要使用CSST仿真数据训练得到的模型扣除宇宙线，下载CSST_2021-12-30_CCD23_epoch20.pth，该模型隐藏层数为50。

# 注意

* 输入图像**必须**减本底！！！

* 如果使用deepCR自带用HST/ACS数据训练得到的模型，在配置文件中，要将hidden这个配置参数改为32。



